<?php

namespace WpieFw\Multilang\Definition;

use WpieFw\Framework\Patterns\Definition\WpieDefinition;

if( ! defined( 'ABSPATH' ) ) exit;

final class WpieMultilangDefinition extends WpieDefinition
{
	const LANGS = 'multilang_langs';

	/**
	 * Constructor
	 *
	 * @param array $definitions
	 */
	public function __construct( array $definitions = [] )
	{
		$map = [
			'langs' => self::LANGS,
		];

		parent::__construct( $map, $definitions );
	}
}